<!DOCTYPE html>
<html lang="de-DE">
{{> head }}

<body>
    <div>
        {{> nav }}
        <div>
            {{> breadcrumbs }}
            <div id="ovk-content" aria-label="Inhaltsbereich" role="main">
                {{> headline head="Vom E-R Modell zum Relationenmodell" }}
                <p>{{> theorie }}In diesem Abschnitt geht es darum, wie man aus einem Entity-Relationship Modell ein
                    Relationenmodell erhält und damit die Tabellen kennt, die in der Datenbank implementiert werden
                    sollen.
                </p>
                <p>
                    Entitätstypen können direkt in Relationen überführt werden: Der Name des Entitätstyps
                    entspricht dem Namen der Tabelle. Jedes Attribut des Entitätstyp wird als Attribut der Tabelle
                    hinzugefügt. Aber was geschieht mit den Beziehungstypen? Schauen wir uns das im Folgenden genauer
                    an:
                </p>
                <p>
                <ul class="ovk-bullet-list">
                    <li>
                        <span class="bold">1:1 und 1:n Beziehungen</span>: Mithilfe von Fremdschlüsselattributen werden
                        aus dem ER-Modell umgesetzt.
                    </li>
                    <li>
                        <span class="bold">n:m Beziehung</span>: Für jede n:m Beziehung wird eine eigene Relation im
                        Relationenmodell erstellt. Die Attribute dieser Relation sind die Primärschlüssel der Entitäten,
                        die durch die Beziehung miteinander verknüpft sind. Hat Beziehungstyp Relationenattribute, dann
                        werden diese als zusätzliche Attribute der Relation hinzugefügt.
                    </li>
                </ul>
                </p>
                <h2>Transformationsregeln am Beispiel</h2>
                {{> er-game }}
            </div>
        </div>
    </div>
</body>

</html>